Commit 8a1fff37 authored by David Diederich's avatar David Diederich
Browse files

Upgrading versions of the core libraries to fix log4j issues

Also needed to add some dependencyManagement sections to force usage.

(cherry picked from commit 341f15f1)
parent 5e55ff66
Pipeline #82573 passed with stages
in 21 minutes and 5 seconds
......@@ -7,6 +7,7 @@
<maven.compiler.target>1.8</maven.compiler.target>
<maven.compiler.source>1.8</maven.compiler.source>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<os-core-common.version>0.12.2</os-core-common.version>
</properties>
<licenses>
......
......@@ -30,8 +30,19 @@
<aws.version>1.11.1018</aws.version>
</properties>
<dependencies>
<dependencyManagement>
<dependencies>
<dependency>
<groupId>org.opengroup.osdu</groupId>
<artifactId>os-core-common</artifactId>
<version>${os-core-common.version}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
</dependencies>
</dependencyManagement>
<dependencies>
<dependency>
<groupId>org.opengroup.osdu</groupId>
<artifactId>os-schema-core</artifactId>
......@@ -67,7 +78,7 @@
<dependency>
<groupId>org.opengroup.osdu.core.aws</groupId>
<artifactId>os-core-lib-aws</artifactId>
<version>0.12.0</version>
<version>0.12.2</version>
</dependency>
<dependency>
......
......@@ -23,8 +23,8 @@
<properties>
<azure.version>2.1.7</azure.version>
<osdu.corelibazure.version>0.12.0</osdu.corelibazure.version>
<osdu.oscorecommon.version>0.12.0</osdu.oscorecommon.version>
<osdu.corelibazure.version>0.12.3</osdu.corelibazure.version>
<osdu.oscorecommon.version>0.12.2</osdu.oscorecommon.version>
<osdu.os-schema-core.version>0.12.2-SNAPSHOT</osdu.os-schema-core.version>
<mockito.version>1.10.19</mockito.version>
<cucumber.version>5.4.0</cucumber.version>
......
......@@ -11,6 +11,18 @@
<description>Google cloud related implementation staff.</description>
<packaging>jar</packaging>
<dependencyManagement>
<dependencies>
<dependency>
<groupId>org.opengroup.osdu</groupId>
<artifactId>os-core-common</artifactId>
<version>${os-core-common.version}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
</dependencies>
</dependencyManagement>
<dependencies>
<!-- https://mvnrepository.com/artifact/com.google.cloud/google-cloud-storage -->
<dependency>
......
......@@ -12,10 +12,22 @@
<properties>
<start-class>org.opengroup.osdu.schema.provider.ibm.app.SchemaIBMApplication</start-class>
<os-core-lib-ibm.version>0.12.0</os-core-lib-ibm.version>
<os-core-lib-ibm.version>0.12.1</os-core-lib-ibm.version>
</properties>
<dependencyManagement>
<dependencies>
<dependency>
<groupId>org.opengroup.osdu</groupId>
<artifactId>os-core-common</artifactId>
<version>${os-core-common.version}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
</dependencies>
</dependencyManagement>
<dependencies>
<dependency>
......
......@@ -30,6 +30,18 @@
<description>Schema Service GCP Anthos</description>
<packaging>jar</packaging>
<dependencyManagement>
<dependencies>
<dependency>
<groupId>org.opengroup.osdu</groupId>
<artifactId>os-core-common</artifactId>
<version>${os-core-common.version}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
</dependencies>
</dependencyManagement>
<dependencies>
<dependency>
<groupId>org.opengroup.osdu</groupId>
......@@ -82,4 +94,4 @@
</plugin>
</plugins>
</build>
</project>
\ No newline at end of file
</project>
......@@ -13,9 +13,20 @@
<properties>
<springfox-version>2.7.0</springfox-version>
<os-core-common.version>0.12.0</os-core-common.version>
</properties>
<dependencyManagement>
<dependencies>
<dependency>
<groupId>org.opengroup.osdu</groupId>
<artifactId>os-core-common</artifactId>
<version>${os-core-common.version}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
</dependencies>
</dependencyManagement>
<dependencies>
<dependency>
<groupId>org.hibernate.validator</groupId>
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment